PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP OPERATOR CLASS

## Name

DROP OPERATOR CLASS -- remove an operator class

## Synopsis

    DROP OPERATOR CLASS name USING index_method [ CASCADE | RESTRICT ]

## Description

`DROP OPERATOR CLASS` drops an existing operator class. To execute this command you must be the owner of the operator class.

## Parameters

name

  The name (optionally schema-qualified) of an existing operator class.

index_method

  The name of the index access method the operator class is for.

CASCADE

  Automatically drop objects that depend on the operator class.

RESTRICT

  Refuse to drop the operator class if any objects depend on it. This is the default.

## Examples

Remove the B-tree operator class widget_ops:

    DROP OPERATOR CLASS widget_ops USING btree;

This command will not succeed if there are any existing indexes that use the operator class. Add CASCADE to drop such indexes along with the operator class.

## Compatibility

There is no `DROP OPERATOR CLASS` statement in the SQL standard.

## See Also

ALTER OPERATOR CLASS, CREATE OPERATOR CLASS

Prev | Home | Next
DROP OPERATOR | Up | DROP RULE